PETSc version 3.15.5
Fix/Edit manual page

# PetscDrawLGAddPoints

Adds several points to each of the line graphs. The new points must have an X coordinate larger than the old points.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLGAddPoints(PetscDrawLG lg,PetscInt n,PetscReal **xx,PetscReal **yy)

Logically Collective on PetscDrawLG

### Input Parameters

| lg | - the LineGraph data structure
| xx,yy | - points to two arrays of pointers that point to arrays containing the new x and y points for each curve.
| n | - number of points being added

Note: You must call PetscDrawLGDraw() to display any added points Call PetscDrawLGReset() to remove all points

### See Also

PetscDrawLGCreate(), PetscDrawLGAddPoint(), PetscDrawLGAddCommonPoint(), PetscDrawLGReset(), PetscDrawLGDraw()

### Level

intermediate

### Location

src/sys/classes/draw/utils/lg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages